#ifndef __ABC800_GPIO_H__
#define __ABC800_GPIO_H__
#include <Arduino.h>

#define K800_RST            2
#define K800_KD             3
#define K800_TXD            6
#define K800_RXD            8
#define K800_TRXC           9

#define A800_RST            34
#define A800_KD             33
#define A800_TXD            5
#define A800_RXD            7
#define A800_TRXC           4

#define KEY800_LED          18
#define KEY800_MENU_BUTTON  14
#define KEY800_UP_BUTTON    12
#define KEY800_DOWN_BUTTON  13

#define KEY800_PWM_CHANNEL  0
#define KEY800_PWM_FREQ     10000
#define KEY800_PWM_RES      10
#define KEY800_PWM_DUTY     512
namespace abc800 {
	class gpio
	{
        public:
            void init();
            uint8_t sendkey(uint8_t key);
            uint8_t sendfunction(uint8_t key);
            uint8_t abc800_getkey();
            uint8_t abc800_getupdown();

    };
}


#endif 